Webhook設定を更新
curl --request PUT \
--url https://api.hubapi.com/webhooks/v3/{appId}/settings \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"targetUrl": "https://www.example.com/hubspot/target",
"throttling": {
"maxConcurrentRequests": 10,
"period": "SECONDLY"
}
}
'import requests
url = "https://api.hubapi.com/webhooks/v3/{appId}/settings"
payload = {
"targetUrl": "https://www.example.com/hubspot/target",
"throttling": {
"maxConcurrentRequests": 10,
"period": "SECONDLY"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
targetUrl: 'https://www.example.com/hubspot/target',
throttling: {maxConcurrentRequests: 10, period: 'SECONDLY'}
})
};
fetch('https://api.hubapi.com/webhooks/v3/{appId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"createdAt": "2020-01-24T16:27:59Z",
"targetUrl": "https://www.example.com/hubspot/target",
"throttling": {
"maxConcurrentRequests": 10,
"period": "SECONDLY"
},
"updatedAt": "2020-01-24T16:32:43Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}設定
Update webhook setting
指定されたアプリのWebhook設定を更新します。
PUT
/
webhooks
/
v3
/
{appId}
/
settings
Webhook設定を更新
Supported products
Supported products
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
ターゲットアプリのID。
ボディ
application/json
New webhook settings to configure for the app, or updated settings to replace existing configuration.
レスポンス
successful operation
Webhook settings for an app.
最終更新日 2026年4月10日
⌘I